<?
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Movimientos/planillas.php");
$target = 'guia';
encabezado2($target);
$id_menu = $_GET['id_menu'];
$planilla = $_GET['planilla'];
$funcionalidad = $_GET['id_funcionalidad'];
$pagina = 'AGREGAR GUIA';

$_SESSION['cnt_agrega'] = 0;
$_SESSION['cnt_no_agrega'] = 0;
if (file_exists($_GET['id_user'] . "no_agrega_guias.txt"))
    unlink($_GET['id_user'] . "no_agrega_guias.txt");
if (file_exists($_GET['id_user'] . "agrega_guias.txt"))
    unlink($_GET['id_user'] . "agrega_guias.txt");

function escribe_archivo($str_cadena, $str_archivo) {
    $archivo = fopen($str_archivo, "a+");
    fwrite($archivo, $str_cadena);
    fclose($archivo);
}

if ($tipo == 2 && !isset($Ejecutar)) {
    
}
?>
<form action="" method="POST" name="backup" id="backup">
    <center>
        <table width="300" border="0" class="primaria">
            <tr class=miTable_tr>
                <td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina; ?> ::..</div></td>
                </td>
            </tr>
            <tr class=miTable_tr>
                <td class="miTable_td">Numero de Guia:</td>
                <td class="miTable_td">

                    <textarea cols="20" rows="10" name="guia" id="guia"></textarea>
                    <!--<input type="text" name="guia" id="guia" value="" class="inputbox">-->
                    <input type="hidden" name="planilla" value="<? echo $planilla; ?>" class="inputbox">
                    <input type="hidden" name="id" value="<? echo $id_mens; ?>" class="inputbox">
                    <input type="hidden" name="tabla" value="<? echo $tabla; ?>" class="inputbox">
                </td>
            </tr>
            <tr class=miTable_tr>
                <td class=miTable_th1 colspan="2">
                    <div align="center">
                        <input type="submit" name="Ejecutar" value="Ejecutar" class="inputbox">
                    </div>
                </td>
            </tr>
        </table>

        <?
        if (isset($Ejecutar)) {

            class asignarGuia {

                var $consultarObj;
                var $conexionObj;
                var $estado;

                function validar($guia, $planilla, $id, $tabla) {
                    $this->conexionObj = new conexion();
                    $this->conexionObj->conectarse();
                    $rst_validar = $this->conexionObj->consultar("SELECT * FROM planillas WHERE id_planilla='" . $planilla . "'");
                    if (mysql_num_rows($rst_validar) >= 1) {
                        $this->asignarGuiaPlanilla($guia, $planilla, $id, $tabla);
                    } else {
                        $msgBOX2 = "No Se Encontro Planilla.";
                        echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
                    }
                }

                function asignarGuiaPlanilla($guia, $planilla, $id, $tabla) {
                    $estado = 13;
                    $rst_modificar = $this->conexionObj->consultar("UPDATE $tabla SET id_estado = '$estado', id_mensajero='$id', id_planilla='$planilla'  WHERE guia = '" . $guia . "' AND id_mensajero = '0' AND (id_estado = '12' OR id_estado = '19')");
                    $affected_modificar = mysql_affected_rows();
                    if ($affected_modificar >= 1) {
                        $rst_select = $this->conexionObj->modificar("UPDATE rastreo_guias SET E$estado='$estado', F$estado = '" . date('Y-m-d H:i:s') . "' WHERE guia = '$guia'");
                        $_SESSION['cnt_agrega']++;
                        $cadena = trim($guia) . chr(13) . chr(10);
                        escribe_archivo($cadena, $_GET['id_user'] . "agrega_guias.txt");
                    } else {
                        $_SESSION['cnt_no_agrega']++;
                        $cadena = trim($guia) . chr(13) . chr(10);
                        escribe_archivo($cadena, $_GET['id_user'] . "no_agrega_guias.txt");
                    }
                }

            }

            $asignarGuiaObj = new asignarGuia();

            $input = explode("\n", $_POST['guia']);
            $arr_guia = array_unique($input);

            for ($ytr = 0; $ytr <= count($arr_guia); $ytr++) {
                $num_guia = trim($arr_guia[$ytr]);
                if (!empty($num_guia)) {
//	 			$cant_guias=$crearSucursalObj->validar($_POST['mensajero'],$num_guia,$_POST['cantidad'],$_POST['tabla']);
                    $asignarGuiaObj->validar($num_guia, $_POST['planilla'], $_POST['id'], $_POST['tabla']);
                }
            }
        


        echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				Guias Agregadas ' . $_SESSION['cnt_agrega'] .
        '&nbsp;&nbsp;<a href="descargar.php?f=' . $_GET['id_user'] . 'agrega_guias.txt">Descargar</a></div></td></tr>';


        echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				Guias No Agregadas ' . $_SESSION['cnt_no_agrega'] .
        '&nbsp;&nbsp;<a href="descargar.php?f=' . $_GET['id_user'] . 'no_agrega_guias.txt">Descargar</a></div></td></tr>';
}
        echo "<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
        echo"<tbody><tr>";
        echo"<td></td>";
        echo"</tr>";
        echo"<tr>";
        ?>
        <td>
        <CENTER>
            <?
            pie_de_pagina();
            ?>
        </CENTER>
        </td>
        <?php
        echo"</tr>";
        echo"</tbody></table>";
        echo"</body>";
        echo"</html>";
        ?>
    </center>
</form>